## EMailAuthenticator EMailAuthenticator |

## Functions

ESourceAuthenticator * | e_mail_authenticator_new ()
CamelService * | e_mail_authenticator_get_service ()
const gchar * | e_mail_authenticator_get_mechanism ()

## Properties

gchar * | mechanism | Read / Write / Construct Only
CamelService * | service | Read / Write / Construct Only

## Types and Values

struct | EMailAuthenticator

## Object Hierarchy

        GObject
        ╰── EMailAuthenticator

## Implemented Interfaces

EMailAuthenticator implements ESourceAuthenticator.

## Description

## Functions

### e_mail_authenticator_new ()

    ESourceAuthenticator *
    e_mail_authenticator_new (CamelService *service,
                              const gchar *mechanism);

### e_mail_authenticator_get_service ()

    CamelService *
    e_mail_authenticator_get_service (EMailAuthenticator *auth);

### e_mail_authenticator_get_mechanism ()

    const gchar *
    e_mail_authenticator_get_mechanism (EMailAuthenticator *auth);

## Types and Values

### struct EMailAuthenticator

    struct EMailAuthenticator;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“mechanism”` property

      “mechanism”                gchar *

Authentication mechanism.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“service”` property

      “service”                  CamelService *

The CamelService to authenticate.

Flags: Read / Write / Construct Only